gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Gdk.AppLaunchContext

Contents

- Types
- Constructors
- Methods

Description

Synopsis

- data AppLaunchContext
- class GObjectClass o => AppLaunchContextClass o
- castToAppLaunchContext :: GObjectClass obj => obj -> AppLaunchContext
- gTypeAppLaunchContext :: GType
- toAppLaunchContext :: AppLaunchContextClass o => o -> AppLaunchContext
- appLaunchContextNew :: IO AppLaunchContext
- appLaunchContextSetDisplay :: AppLaunchContext -> Display -> IO ()
- appLaunchContextSetScreen :: AppLaunchContext -> Screen -> IO ()
- appLaunchContextSetDesktop :: AppLaunchContext -> Int -> IO ()
- appLaunchContextSetTimestamp :: AppLaunchContext -> TimeStamp -> IO ()
- appLaunchContextSetIconName :: AppLaunchContext -> String -> IO ()
- appLaunchContextSetIcon :: IconClass icon => AppLaunchContext -> icon -> IO ()

# Types

data AppLaunchContext

Instances

Eq AppLaunchContext |
Ord AppLaunchContext |
GObjectClass AppLaunchContext |
AppLaunchContextClass AppLaunchContext |

class GObjectClass o => AppLaunchContextClass o

Instances

AppLaunchContextClass AppLaunchContext |

castToAppLaunchContext :: GObjectClass obj => obj -> AppLaunchContext

gTypeAppLaunchContext :: GType

toAppLaunchContext :: AppLaunchContextClass o => o -> AppLaunchContext

# Constructors

appLaunchContextNew :: IO AppLaunchContext

Creates a new `AppLaunchContext`.

# Methods

appLaunchContextSetDisplay :: AppLaunchContext -> Display -> IO ()

Sets the display on which applications will be launched when using this context. See also `appLaunchContextSetScreen`.

appLaunchContextSetScreen :: AppLaunchContext -> Screen -> IO ()

Sets the screen on which applications will be launched when using this context. See also `appLaunchContextSetDisplay`.

If both screen and display are set, the screen takes priority. If neither screen or display are set, the default screen and display are used.

appLaunchContextSetDesktop :: AppLaunchContext -> Int -> IO ()

Sets the workspace on which applications will be launched when using this context when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints.

When the workspace is not specified or desktop is set to -1, it is up to the window manager to pick one, typically it will be the current workspace.

appLaunchContextSetTimestamp :: AppLaunchContext -> TimeStamp -> IO ()

Sets the timestamp of context. The timestamp should ideally be taken from the event that triggered the launch.

Window managers can use this information to avoid moving the focus to the newly launched application when the user is busy typing in another window. This is also known as 'focus stealing prevention'.

appLaunchContextSetIconName :: AppLaunchContext -> String -> IO ()

Sets the icon for applications that are launched with this context. The `iconName` will be interpreted in the same way as the Icon field in desktop files. See also `appLaunchContextSetIcon`.

If both icon and `iconName` are set, the `iconName` takes priority. If neither icon or `iconName` is set, the icon is taken from either the file that is passed to launched application or from the GAppInfo for the launched application itself.

appLaunchContextSetIcon :: IconClass icon => AppLaunchContext -> icon -> IO ()

Sets the icon for applications that are launched with this context.

Window Managers can use this information when displaying startup notification.